
mappieces = {
  ['outside_#'] = {0, 0,   0, 1,   1, 1,   1, 0, tex = "ground"},       -- solid
  ['outside_,'] = {0, 1,   1, 1,   1, 0.5, topl = 1, topr = 0.5, tex = "ground"}, -- empty triangle going up to the right
  ['outside_<'] = {0, 0.5,   0, 1,   1, 1,   1, 0, topl = 0.5, topr = 0, tex = "ground"}, -- full triangle going up to the right
  ['outside_.'] = {1, 1,   0, 1,   0, 0.5, topl = 0.5, topr = 1.0, tex = "ground"}, -- empty triangle going up to the left
  ['outside_>'] = {1, 0.5,   1, 1,   0, 1,   0, 0, topl = 0, topr = 0.5, tex = "ground"}, -- full triangle going up to the left
  ['outside_-'] = {1, 0.5,   1, 1,   0, 1,   0, 0.5, topl = 0.5, topr = 0.5, tex = "ground"}, -- half-height
  
  -- ceiling items
  ['outside_;'] = {0, 0,   0, 1,   1, 0.5,   1, 0, permit = true, tex = "ground"}, -- full triangle going up to the right
  ['outside_:'] = {0, 0,   0, 0.5,   1, 0, permit = true, tex = "ground"}, -- empty triangle going up to the right
  ['outside_\''] = {0, 0,   0, 0.5,   1, 1,   1, 0, permit = true, tex = "ground"}, -- full triangle going up to the left
  ['outside_"'] = {0, 0,   1, 0.5,   1, 0, permit = true, tex = "ground"}, -- empty triangle going up to the left
  ['outside_='] = {1, 0.5,   1, 0,   0, 0,   0, 0.5, permit = true, tex = "ground"}, -- half-height reverse
  
  [''] = {},
}

mappiece_layout = {
  {'outside_,', 'outside_<', 'outside_#', 'outside_>', 'outside_-', 'outside_.'},
  {'outside_;', 'outside_:', '', 'outside_"', 'outside_=', 'outside_\''},
}


entities = {
  robert = {tex = "dude_1", width = 0.8125, height = 1.625, grid = true, flying = true},
  trebor = {tex = "dude_1", width = 0.8125, height = 1.625, grid = true, flying = true},
  exit = {tex = "exit", width = 3, height = 5, exit = true, flying = true, grid = true, gofsx = 0.5, gofsy = 0.5},

  orb_white = {tex = "orb_white", width = 2, height = 2, flying = true},
  orb_black = {tex = "orb_black", width = 2, height = 2, flying = true},
  
  door = {tex = "door1", width = 1, height = 5, exit = true, flying = true, grid = true, gofsx = 0.5, gofsy = 0.5},
  door2 = {tex = "door2", width = 1, height = 5, exit = true, flying = true, grid = true, gofsx = 0.5, gofsy = 0.5},
  door3 = {tex = "door3", width = 1, height = 5, exit = true, flying = true, grid = true, gofsx = 0.5, gofsy = 0.5},
  door4 = {tex = "door4", width = 1, height = 5, exit = true, flying = true, grid = true, gofsx = 0.5, gofsy = 0.5},
  door5 = {tex = "door5", width = 1, height = 5, exit = true, flying = true, grid = true, gofsx = 0.5, gofsy = 0.5},
}

entity_layout = {
  {"robert", "trebor", "exit"},
  {"orb_white", "orb_black"},
  
  {"door", "door2", "door3", "door4", "door5"},
}
